<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for describeByListType StructType
 * @subpackage Structs
 */
class DescribeByListType extends AbstractStructBase
{
    /**
     * The Characteristic
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\CharacteristicType[]
     */
    public $Characteristic;
    /**
     * Constructor method for describeByListType
     * @uses DescribeByListType::setCharacteristic()
     * @param \StructType\CharacteristicType[] $characteristic
     */
    public function __construct(array $characteristic = array())
    {
        $this
            ->setCharacteristic($characteristic);
    }
    /**
     * Get Characteristic value
     * @return \StructType\CharacteristicType[]|null
     */
    public function getCharacteristic()
    {
        return $this->Characteristic;
    }
    /**
     * Set Characteristic value
     * @param \StructType\CharacteristicType[] $characteristic
     * @return \StructType\DescribeByListType
     */
    public function setCharacteristic(array $characteristic = array())
    {
        $this->Characteristic = $characteristic;
        return $this;
    }
    /**
     * Add item to Characteristic value
     * @throws \InvalidArgumentException
     * @param \StructType\CharacteristicType $item
     * @return \StructType\DescribeByListType
     */
    public function addToCharacteristic(\StructType\CharacteristicType $item)
    {
        $this->Characteristic[] = $item;
        return $this;
    }
}
